"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RIL_VERSION = exports.MAX_LOCAL_STORAGE_SIZE = exports.SELF_SENSETIVE_CLICK_IDS = exports.SELF_SENSETIVE_REQUEST = exports.TOKEN_GENERATION_TIMESTAMP = exports.TOKEN_GENERATION_SALT = exports.SUCCESS_RESPONSE_STATUS_START_CODE = exports.LONG_TIMER_LIMIT = exports.SHORT_TIMER_LIMIT = exports.EVENTS_ARRAY_LIMIT = exports.RIL_STATE = exports.RIL_EVENTS = exports.RIL_TOKEN = exports.LOCAL_BASE_URL = exports.BASE_URL = void 0;
exports.BASE_URL = 'http://localhost:3000'; // Base Url for Rilog backend app
exports.LOCAL_BASE_URL = 'http://localhost:3025'; // Base Url for Rilog local loger backend app
exports.RIL_TOKEN = 'riltoken'; // label for saving unique user (connection) token in Local Storage
exports.RIL_EVENTS = 'rilevents'; // label for saving reuqests in Local Storage
exports.RIL_STATE = 'rilstate'; // label for saving state to the local storage
exports.EVENTS_ARRAY_LIMIT = 10; // max availble events data for saving in localStorage
exports.SHORT_TIMER_LIMIT = 60000; // use it for check saving request data (for limit)
exports.LONG_TIMER_LIMIT = 12000; // use it for check saving request data (without request during long time)
exports.SUCCESS_RESPONSE_STATUS_START_CODE = '2';
exports.TOKEN_GENERATION_SALT = 'rilog by kaowebdev';
exports.TOKEN_GENERATION_TIMESTAMP = '3456745647';
exports.SELF_SENSETIVE_REQUEST = ['connection/init', 'connection/send', 'events/save']; // the array of requests which shouldn't be stored
exports.SELF_SENSETIVE_CLICK_IDS = ['rilog-lib'];
exports.MAX_LOCAL_STORAGE_SIZE = 4.5; // max available size of local storage in Mb. Using for defining when the events send to storage.
exports.RIL_VERSION = '0.3.*'; // current rilog lib version
