import { IRilogRequestTimed, TRilogInitConfig } from '../types';
import { IRilogEventItem } from '../types/events';
import { IRilogFilterRequest } from '../types/filterRequest';
declare class RilogFilterRequest implements IRilogFilterRequest {
    private config;
    constructor(config: TRilogInitConfig | null);
    getRequests(data: IRilogRequestTimed): IRilogRequestTimed;
    isLibruaryRequest(data: IRilogRequestTimed): boolean;
    isIgnoredRequest(data: IRilogRequestTimed): boolean;
    sortEventsByDate(events: IRilogEventItem[]): IRilogEventItem[];
    private sensetive;
    private sensetiveData;
    private headers;
    private storage;
}
export default RilogFilterRequest;
