import { IRilogRequest, IRilogResponse, TRilogPushRequest, TRilogPushResponse } from '../../../types/requests';
import { IAxiosAdapter } from './types';
declare class AxiosAdapter implements IAxiosAdapter {
    getRequest(data: TRilogPushRequest): IRilogRequest | null;
    getResponse(data: TRilogPushResponse): IRilogResponse | {
        data: any;
        status: any;
    } | null;
    private checkEmptyRequest;
    private checkEmptyResponse;
}
export default AxiosAdapter;
