"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isButtonElement = void 0;
var constants_1 = require("./constants");
var isButtonElement = function (event) {
    if (constants_1.BUTTON_NODES.includes(event.target.tagName.toLowerCase()))
        return true;
    /**
     * Check if closest parent element is button (for case where some html inside a, button tags).
     */
    if (event.target.parentElement && constants_1.BUTTON_NODES.includes(event.target.parentElement.tagName.toLowerCase()))
        return true;
    return false;
};
exports.isButtonElement = isButtonElement;
