"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var events_1 = require("../../../types/events");
var utils_1 = require("../../../utils");
var logger_1 = require("../../../utils/logger");
var types_1 = require("./types");
var InputInterceptor = /** @class */ (function () {
    function InputInterceptor() {
    }
    InputInterceptor.prototype.getInputEvent = function (event, type) {
        var inputInfo = {
            type: type,
            value: event.target.value,
            nodeName: event.target.nodeName,
            className: event.target.className,
            id: event.target.id,
        };
        return {
            _id: Date.now().toString(),
            type: events_1.ERilogEvent.INPUT,
            date: Date.now().toString(),
            data: inputInfo,
            location: (0, utils_1.getLocation)(),
        };
    };
    __decorate([
        (0, logger_1.logMethods)('InputInterceptor', true),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [Object, Number]),
        __metadata("design:returntype", void 0)
    ], InputInterceptor.prototype, "getInputEvent", null);
    return InputInterceptor;
}());
exports.default = InputInterceptor;
