import { IRilogLocation } from '../types/events';
declare const getExternalInfo: () => {
    userAgent: string;
};
declare const getLocation: () => IRilogLocation;
/**
 * Get Local Storage size in bytes.
 * @returns {number}
 */
declare const getLocalStorageSize: () => number;
/**
 * Simple converter function from megabytes to bytes for defining the max available size of local storage.
 * @param {number} megabytes
 * @returns {number} In bytes
 */
declare const megabytesToBytes: (megabytes: number) => number;
declare const isFullLocalStorage: (additionalData: string | null) => boolean;
export { getExternalInfo, getLocation, getLocalStorageSize, megabytesToBytes, isFullLocalStorage };
