"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.encrypt = void 0;
var CryptoJS = require("crypto-js");
/**
 * Encryt request data for save request array.
 * Encrypt to base64 if the salt doesn't exist.
 * @param data
 */
var encrypt = function (data, salt) {
    return (salt === null || salt === void 0 ? void 0 : salt.length) ? CryptoJS.AES.encrypt(JSON.stringify(data), salt).toString() : btoa(JSON.stringify(data));
};
exports.encrypt = encrypt;
