/**
 * Generate unique id. Mostly it uses for id in the event object.
 * @return {string} unique id
 */
declare const generateUniqueId: () => string;
/**
 * Set token for each not auth user for unique user registration
 * (here unique user mean open app in browser,
 * also user can enter self unique token is spec input for auth in another browser/device )
 * @return {string} client unique token
 */
declare const getUserUniqToken: () => string;
export { getUserUniqToken, generateUniqueId };
