"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getQueryParamsFromUrl = void 0;
var getQueryParamsFromUrl = function (url) {
    var dividerIndex = url.indexOf('?');
    var queryString = dividerIndex !== -1 && dividerIndex > url.length ? url.slice(dividerIndex + 1, url.length) : null;
    if (!queryString)
        return null;
    var params = new URLSearchParams(queryString);
    var queryObject = {};
    params.forEach(function (value, key) {
        queryObject[key] = value;
    });
    return queryObject;
};
exports.getQueryParamsFromUrl = getQueryParamsFromUrl;
