declare type TSaveEventsResp = {
    result: 'SUCCESS' | 'ERROR';
};
/**
 * Do save events to backend
 * @param data - encrypted events data(array)
 * @param token - authorization token for sending requests
 * @returns
 */
declare const saveEventsToRilog: (data: string, token: string) => Promise<TSaveEventsResp>;
interface ISaveEventsParams {
    data: string;
    url: string;
    headers?: Record<string, string>;
}
declare const saveEventsCustom: ({ data, url, headers }: ISaveEventsParams) => Promise<TSaveEventsResp>;
export { saveEventsToRilog, saveEventsCustom };
