"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var constants_1 = require("../constants");
var RilogTimer = /** @class */ (function () {
    function RilogTimer() {
    }
    RilogTimer.prototype.startShort = function (afterTimeoutFn) {
        this.clearShort();
        this.shortTimer = setTimeout(function () {
            afterTimeoutFn();
        }, constants_1.SHORT_TIMER_LIMIT);
    };
    RilogTimer.prototype.clearShort = function () {
        clearTimeout(this.shortTimer);
        this.shortTimer = null;
    };
    RilogTimer.prototype.startLong = function (afterTimeoutFn) {
        this.clearLong();
        this.longTimer = setTimeout(function () {
            afterTimeoutFn();
        }, constants_1.LONG_TIMER_LIMIT);
    };
    RilogTimer.prototype.clearLong = function () {
        clearTimeout(this.longTimer);
        this.longTimer = null;
    };
    return RilogTimer;
}());
exports.default = RilogTimer;
