import { ERilogEvent } from '../../../types/events';
import { IRilogMessageConfig, IRilogMessageInterceptor } from './types';
declare class MessageInterceptor implements IRilogMessageInterceptor {
    getMessageEvent<T>(data: T, config: IRilogMessageConfig | undefined): {
        _id: string;
        type: ERilogEvent;
        date: string;
        data: {
            data: string;
            label: string;
            shouldBeParsed: boolean;
        };
        location: import("../../../types/events").IRilogLocation;
    };
}
export default MessageInterceptor;
