"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var events_1 = require("../../../types/events");
var utils_1 = require("../../../utils");
var MessageInterceptor = /** @class */ (function () {
    function MessageInterceptor() {
    }
    MessageInterceptor.prototype.getMessageEvent = function (data, config) {
        var _a;
        var parsedData = typeof data === 'string' ? data : JSON.stringify(data);
        return {
            _id: (0, utils_1.generateUniqueId)(),
            type: events_1.ERilogEvent.DEBUG_MESSAGE,
            date: Date.now().toString(),
            data: {
                data: parsedData,
                label: (_a = config === null || config === void 0 ? void 0 : config.label) !== null && _a !== void 0 ? _a : '',
                shouldBeParsed: typeof data !== 'string',
            },
            location: (0, utils_1.getLocation)(),
        };
    };
    return MessageInterceptor;
}());
exports.default = MessageInterceptor;
